Subject: Re: [PATCH 1/4] fast-import.c: replace `git_config()` with `git_config_get_*()` family

From: Tanay Abhra <[email-masked]>
Date: Wed, 13 Aug 2014 17:41:35 +0530

>>  		if (pack_idx_opts.version > 2)
>> -			die("bad pack.indexversion=%"PRIu32,
>> -			    pack_idx_opts.version);
>> -		return 0;
>> +			die("bad pack.indexversion=%"PRIu32, pack_idx_opts.version);
> 
> One more opportunity for git_die_config()?
>

Yup, I had thought of changing that and above to git_die_config(), but didn't do
it, will send a revised patch.

> Not that it's terribly important, but I think it's good that your
> refactoring also brings a few end-users benefits. It will help you show

I have been rewriting callers and the law of diminishing returns kicked in. I had
rewritten some other call sites but I didn't see them bringing any benefits (cleaner
control flow, less lines, bugs eliminated), so I left them out.

> off when you tell your friends what you did this summer (not "I did
> useless code churn" ;-) ), and helps everybody see the benefits of your
> GSoC ;-).
>